const { AssetsHelper } = require("../inoby-theme/webpack/webpack-helpers");
const child = new AssetsHelper(__dirname);

const def_child = {
  core: [
    ...child.assets(["css/theme.scss"]),
    ...child.assets(["css/404.scss"]),
    ...child.assets(["js/vik-theme.ts"]),
    ...child.assets(["css/vikbooking.scss"]),
    ...child.assets(["css/cookies.scss"]),
    ...child.entry("components"),
    ...child.plugin("header"),
    ...child.plugin("footer"),
    //
  ],

  config: [...child.assets(["config.json", "image-sizes.json", "plugins.json"], "config"), ...child.componentConfigs()],

  post_types: {
    page: child.post_type("page"),
    aktuality: child.post_type("aktuality"),
    aktivity: child.post_type("aktivity"),
  },

  page_templates: {
    faq: child.template("faq"),
    multitab_page: child.template("multitab-page"),
    promotions: child.template("promotions"),
    packages: child.template("packages"),
  },

  admin: [
    ...child.assets(["css/admin.scss"]),
    //
  ],

  gutenberg: [...child.entry("components")],
};

module.exports = def_child;
